.text--underline-wavy {
   text-decoration-line: underline;
   text-decoration-style: wavy;
}

.text--underline-dotted {
   text-decoration-line: underline;
   text-decoration-style: dotted;
}

.text--underline-double {
   text-decoration-line: underline;
   text-decoration-style: double;
}

.text--underline-dashed {
   text-decoration-line: underline;
   text-decoration-style: dashed;
}